%global dlrn_nvr rally-openstack-3.0.1.dev13-0.20250521101133.9f85b9e
%global dlrn 1
%define upstream_version 3.0.1.dev13
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%global pname rally_openstack
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# we are excluding some BRs from automatic generator
%global excluded_brs doc8 bandit pre-commit hacking flake8-import-order pytest-html sphinx openstackdocstheme
# We are excluding some runtime requirements from automatic
%global excluded_reqs python-watcherclient python-senlinclient python-muranoclient python-saharaclient

%global common_desc \
rally-openstack is a collection of plugins for Rally framework \
designed for the OpenStack platform.

Name:             openstack-rally-plugins
Version: 3.0.1
Release: 0.20250521101133.9f85b9e%{?dist}
Summary:          A collection of plugins for OpenStack Rally
License:          Apache-2.0
URL:              https://rally.readthedocs.io
Source0: rally-openstack-3.0.1.dev13-0.20250521101133.9f85b9e.tar.gz
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/rally-openstack/rally-openstack-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:        noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:    git-core
BuildRequires:    python3-devel
BuildRequires:    pyproject-rpm-macros
BuildRequires:    openstack-macros

%description
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -S git -n rally-openstack-%{upstream_version}


sed -i /.*-c.*upper-constraints.txt.*/d tox.ini
sed -i /^minversion.*/d tox.ini
sed -i /^requires.*virtualenv.*/d tox.ini

# Exclude some bad-known BRs
for pkg in %{excluded_brs};do
  for reqfile in doc/requirements.txt test-requirements.txt; do
    if [ -f $reqfile ]; then
      sed -i /^${pkg}.*/d $reqfile
    fi
  done
done

# Exclude some bad-known Requirements
for pkg in %{excluded_reqs};do
  sed -i /^${pkg}.*/d requirements.txt
done

%generate_buildrequires
%pyproject_buildrequires -t -e %{default_toxenv}

%build
%pyproject_wheel

%install
%pyproject_install

%check
# FIXME(chkumar246): watcherclient is not packaged in RDO
# So currently skipping the tests
%tox -e %{default_toxenv} || true

%files
%license LICENSE
%{python3_sitelib}/%{pname}
%{python3_sitelib}/%{pname}*.dist-info

%changelog
